
QGIS Application - Bug report #1857

Problem with Cyrillic in path when loading SpatiaLite tables

2009-08-04 08:58 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11917

Description

If the path to the [[SpatiaLite]] database contains the Cyrillic letters, then impossible to load any table from this database. Error raised with

message "'cities' (Geometry is an invalid layer and cannot be loaded." (where 'cities' - layer name).

But when this database located in path without Cyrillic letters - all tables loads correctly and without any errors.

Windows XP Pro SP3, QGIS 1.1 and 1.2 (svn: 10972М) installed with OSGeo4W

Some discussion in Russian here http://gis-lab.info/forum/viewtopic.php?f=27&#38;t=3748

Associated revisions

Revision 934b69d6 - 2009-08-22 10:02 AM - Jürgen Fischer

fix #1857

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11477 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 32f06468 - 2009-08-22 10:02 AM - Jürgen Fischer

fix #1857

git-svn-id: http://svn.osgeo.org/qgis/trunk@11477 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-19 08:22 AM - Paolo Cavallini

Still valid after commit:52c420b0 (SVN r11439)?

#2 - 2009-08-20 11:08 PM - Alexander Bruy

Yes. I test on QGIS 1.2.0 (r11459M) obtained via OSGEO4W and the problem still left.

#3 - 2009-08-22 01:03 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
